POST
Operate card
Use this endpoint to perform status operations on a card, such as freeze, unfreeze, or termination.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keyclientRequestIdIdempotent request ID for this card operation.
Example:
REQ_20260101_002cardIdCard ID to operate on.
Example:
100001typeCard operation type.
Allowed values
FREEZE- Freeze the card.
UNFREEZE- Unfreeze the card.
TERMINATE- Terminate the card.
curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/operate' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"cardId": 100001,
"clientRequestId": "REQ_20260101_002",
"type": "FREEZE"
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ operateRecordId }Card operation result.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"operateRecordId": 200001
}
}No error responses are documented for this endpoint.